package com.kms.crosscut;

import com.j256.ormlite.dao.Dao;
import com.kms.model.Log;

import java.sql.SQLException;
import java.sql.Timestamp;

public class LoggingHelper {

    private static LoggingHelper instance = null;
    private final Dao<Log,Integer> logDao;

    public LoggingHelper(Dao<Log,Integer> logDao) {
        this.logDao = logDao;
    }

    public static void init(Dao<Log,Integer> logDao) {
        instance = new LoggingHelper(logDao);
    }

    public static synchronized LoggingHelper getInstance() {
        return instance;
    }

    public void log(String description, String ip, String endpoint, String callerId, String annotation) {
        final Log log = Log.builder()
                .endpoint(endpoint)
                .originIp(ip)
                .requestDesc(description)
                .requestTime(new Timestamp(System.currentTimeMillis()))
                .callerId(callerId)
                .annotation(annotation)
                .build();

        try {
            logDao.create(log);
        } catch (SQLException ignored) {
        }
    }

}
