package com.kms.model;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.sql.Timestamp;

@AllArgsConstructor
@Getter @Setter
@NoArgsConstructor
@DatabaseTable(tableName = "payment")
@Builder
public class Payment {

    @DatabaseField(generatedId = true, columnName = "payment_id")
    private Integer paymentId;
    @DatabaseField(columnName = "amount", canBeNull = false)
    private double amount;
    @DatabaseField(columnName = "payment_init_time", canBeNull = false,
            columnDefinition = "TIMESTAMP DEFAULT NOW() NOT NULL")
    private Timestamp paymentInitTime;
    @DatabaseField(columnName = "status_paid", defaultValue = "0", canBeNull = false)
    private boolean paid;
    @DatabaseField(columnName = "payment_paid_time")
    private Timestamp paymentPaidTime;
    @DatabaseField(columnName = "description", columnDefinition = "VARCHAR(200)")
    private String description;
    @DatabaseField(columnName = "initiator_id", canBeNull = false, columnDefinition = "VARCHAR(100)")
    private String initiatorId;
    @DatabaseField(columnName = "idempotent_id", canBeNull = false, columnDefinition = "VARCHAR(100)")
    private String idempotentId;

}
